- Home
- API Enriched
- Shape
- shape
- Conversion Dashboard.
Conversion Dashboard.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/conversion';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"agent":"example","endTime":"example","itemUnit":"example","startTime":"example","tenant":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/recognize/namespaces/system/recognize/addon/dashboard/conversion \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "agent": "example", "endTime": "example", "itemUnit": "example", "startTime": "example", "tenant": "example" }'GET conversion chart data from shape recognize API.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Since and to times to generate the Conversion request.
object
Agent data Required: YES.
The time to we want the conversion data Required: YES.
The unit where the data is represented.
The time since we want the conversion data Required: YES.
Tenant data Required: YES.
Examplegenerated
{ "agent": "example", "endTime": "example", "itemUnit": "example", "startTime": "example", "tenant": "example"}Responses
Section titled “Responses”A successful response.
The data of Conversion Response Chart.
object
The actual version of the shape recognize API.
object
Avarage Daily Conversion.
Avarage Monthly Conversion.
The system unit to represent the data.
The collection of data to be filled into the chart.
Conversion Item that represent the data to chart.
object
The date of the data to display in chart.
The date of the data to display in chart.
The quantity data to display.
The date of the data to display in chart.
See if the chart is after or before extension.
Projection Annual Conversion.
Projection Start Time.
Total items to be filled into the chart.
Year to date conversion.
The ID from the Conversion Response.
Examplegenerated
{ "apiVersion": "example", "data": { "avgDailyConversion": 1, "avgMonthlyConversion": 1, "itemUnit": "example", "items": [ { "OBSOLETE2_date": 1, "OBSOLETE_date": "example", "count": 1, "date": 1 } ], "kind": "example", "projectionAnnualConversion": 1, "projectionStartTime": 1, "totalItems": 1, "yearToDateConversion": 1 }, "id": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example